package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.PersonCompany;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface PersonCompanyDAO {
	int insert(PersonCompany entity);
	int update(PersonCompany entity);
	int exist(String id);
	PersonCompany get(String id);
	int delete(String id);
    int deleteByPersonId(Long personId);
	List<PersonCompany> findByPersonId(Long personId);
	List<PersonCompany> list();
	List<PersonCompany> search(Map<String, Object> searchParams, List<Sort> sortList);
}